#include <stdio.h>
#include <stdlib.h>

int main()
{
    long x,y;
    long long resenje=0;
    long long stepen=1;
    scanf("%ld%ld",&x,&y);
    while(x>0 && y>0){
        if(x%10>y%10){
            resenje+=(x%10)*stepen;
        }
        else if(x%10<y%10){
            resenje+=(y%10)*stepen;
        }
        else{
            resenje+=(x%10)*stepen;
            stepen*=10;
            resenje+=(y%10)*stepen;
        }
        stepen*=10;
        x/=10;
        y/=10;
    }
    while(x>0){
        resenje+=(x%10)*stepen;
        stepen*=10;
        x/=10;
    }
    while(y>0){
        resenje+=(y%10)*stepen;
        stepen*=10;
        y/=10;
    }
    printf("%lld",resenje);
    return 0;
}